View Issue Details

IDProjectCategoryView StatusLast Update
0000121Far Manager 1.7xMacropublic2007-07-16 16:08
ReportervskirdinAssigned Tovskirdin 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000121: Ошибка при выполнении макроса (Bugz 868)
DescriptionDate: Wednesday, April 16, 2003, 5:52:17 PM
From: shmve <shmve@yandex.ru>

Hi

Win98 SE Rus Far170b5

Есть какая то бага - макрос записывается, но не выполняется.
В 3-й бете выполнялся.

Надо извлечь содержимое файла File_id.diz из архива в Descript.ion

Enter AltF7 * . d i z Enter Enter F4 CtrlA CtrlIns Esc Home Enter
 CtrlZ ShiftIns Enter Down

Курсор на архиве (rar,zip), заходим в архив по Enter, вызываем поиск
по AltF7, забиваем туда *.diz, Enter - ищем файл, Enter - переходим
на него, F4 -загружаем файл в редактор, CtrlA - выделяем весь текст,
CtrlIns - берем в буффер, Esc - выходим из редактора,
Home - переводим курсор вверх на две точки, Enter - выходим из архива,
CtrlZ - вызываем команду описания файлов, ShiftIns - вставляем
содержимое буффера, Enter - Сохраняем, Down - идем на след.файл.

Запускаю макрос на выполнение - лажа, вместо содержимого файла
File_id.diz в Descript.ion заносится строка поиска *.diz.

Если в панели поиска вместо Enter нажимать Alt-F (Find), результат тот же.

Enter AltF7 * . d i z AltF Enter F4 CtrlA CtrlIns Esc Home Enter CtrlZ
 ShiftIns Enter Down

Если после AltF в панели результата поиска вместо Enter нажать AltG
(Go to) то - Search done. Found 0 file(s) and 0 folder(s) - перестают
искаться файлы в архиве.
Enter AltF7 * . d i z AltF AltG F4 CtrlA CtrlIns Esc Home Enter CtrlZ
 ShiftIns Enter Down

 Отремонтируйте пожалуйста.
PS В support@farmanager.com послал, но я это и раньше туда слал, не починили
 С уважением, Шмелев Валерий.

Additional Information------- Additional Comments From Valentin Skirdin 2003-04-17 17:25 -------

Собственно... ошибки как бы и нет! Как это не странно.
Рассказываю почему так:

> Enter AltF7 * . d i z Enter
Поиск начинается, но т.к. в результатах поиска еще ничего
нет, то фокус стоит на [ New Search ]

>Enter
Вот здесь мы как раз и нажимаем [ New Search ], хотя
юзер предполагает, что поиск закончен!
Т.е. мы попали опять в диалог начала поиска.

>F4 CtrlA
В этом диалоге эти комбинации фактически равни KEY_NONE KEY_NONE
Но после Ctrl-A снялось Unchanged состояние строки ввода маски

>CtrlIns
Забрали в буфер то, что в строке, т.е. "*.diz"

>Esc
Вышли из диалога поиска

>Home Enter
Вывалили из архива

>CtrlZ ShiftIns Enter
Честно добавили тот самый "*.diz" в качестве дескрипшина для архива

>Down
Перешли на следующий файл

"Что делать?"



------- Additional Comments From Valentin Skirdin 2003-04-18 00:31 -------

В общем... здесь нужно расширение макрокоманд...
первое, что приходит в голову - $WaitIdle, т.е.
ожидать, когда пойдут KEY_IDLE сообщения.

Но это, думаю... потом
TagsNo tags attached.
Build

Activities

vskirdin

2006-04-05 07:07

administrator   bugnote:0000117

Между Enter нужно вставить вызов Sleep() (см #72)
"Enter AltF7 * . d i z Enter Sleep(300) Enter F4 CtrlA CtrlIns Esc Home Enter CtrlZ ShiftIns Enter Down"

Issue History

Date Modified Username Field Change
2006-04-05 06:51 vskirdin New Issue
2006-04-05 06:51 vskirdin Status new => assigned
2006-04-05 06:51 vskirdin Assigned To => vskirdin
2006-04-05 07:07 vskirdin Status assigned => resolved
2006-04-05 07:07 vskirdin Fixed in Version => 1.71
2006-04-05 07:07 vskirdin Resolution open => fixed
2006-04-05 07:07 vskirdin Note Added: 0000117
2007-07-16 16:08 alexy Status resolved => closed